Adds a supplier for this SKU
curl --request POST \
--url https://api.bold-factory.com/v1/items/skus/{skuReference}/suppliers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"supplierReference": "<string>",
"pricePerUnit": {
"amount": 123,
"currency": "EUR"
},
"supplierSkuCode": "<string>",
"leadTimeAverageDays": 123,
"leadTimeStdDevDays": 123
}
'import requests
url = "https://api.bold-factory.com/v1/items/skus/{skuReference}/suppliers"
payload = {
"supplierReference": "<string>",
"pricePerUnit": {
"amount": 123,
"currency": "EUR"
},
"supplierSkuCode": "<string>",
"leadTimeAverageDays": 123,
"leadTimeStdDevDays": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
supplierReference: '<string>',
pricePerUnit: {amount: 123, currency: 'EUR'},
supplierSkuCode: '<string>',
leadTimeAverageDays: 123,
leadTimeStdDevDays: 123
})
};
fetch('https://api.bold-factory.com/v1/items/skus/{skuReference}/suppliers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"stock": 123,
"incomingStock": 123,
"outgoingStock": 123,
"currentAvailableStock": 123,
"projectedAvailableStock": 123,
"supplyPolicy": {
"safetyStock": 123,
"reorderPoint": 123,
"minimumAmount": 123,
"amountMultiple": 123,
"procurementLeadTimeBusinessDays": 123
},
"demand": {
"results": [
{
"id": "<string>",
"code": "<string>",
"priority": 123,
"quantity": 123,
"availableQuantity": 123,
"plannedQuantity": 123,
"neededAt": "2023-11-07T05:31:56Z",
"expectedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
},
"supply": {
"results": [
{
"id": "<string>",
"code": "<string>",
"quantity": 123,
"expectedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
},
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"supplierId": "<string>",
"supplier": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"taxIdentificationNumber": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"pricePerUnit": {
"amount": 123,
"currency": "<string>"
},
"supplierSkuCode": "<string>",
"leadTimeAverageDays": 123,
"leadTimeStdDevDays": 123
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}SKUs
Adds a supplier for this SKU
Requires Planning.Skus.Write permissions
POST
/
v1
/
items
/
skus
/
{skuReference}
/
suppliers
Adds a supplier for this SKU
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Respuesta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Primary, Secondary Show child attributes
Show child attributes
⌘I